Summary:	X.org video driver for framebuffer device
Summary(pl.UTF-8):	Sterownik obrazu X.org dla framebuffera
Name:		xorg-driver-video-fbdev
Version:	0.4.3
Release:	4
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.bz2
# Source0-md5:	1d99f1dfb3f0fea077b6b61caa3dc85a
Patch0:		mibstore.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-fbdev < 1:7.0.0
Obsoletes:	XFree86-FBDev
Obsoletes:	XFree86-driver-fbdev < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for framebuffer device.

%description -l pl.UTF-8
Sterownik obrazu X.org dla framebuffera.

%prep
%setup -q -n xf86-video-fbdev-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.4*
%changelog
* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 20f4936
- release 4 (by relup.sh)

* Thu Mar 07 2013 witekfl <witekfl@poczta.onet.pl> 4ba3d7f
- added the patch with the compilation fix for xserver-1.14.0
- rel 3

* Thu Mar 07 2013 witekfl <witekfl@poczta.onet.pl> d0b468a
- compilation fix for xserver-1.14 (taken from Ubuntu)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e8340b
- release 2 (by relup.sh)

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> beb263b
- updated to 0.4.3

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 27168ed
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0dca620
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 794075a
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4253fdc
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 06de2ee
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 558d3fb
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 333e17c
- up to 0.4.2

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a78fe5
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e9e2590
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> be4722c
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 780f79c
- up to 0.4.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 686dae8
- release 4

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bc38a4f
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cbe48ae
- release 2

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 904d1fc
- up to 0.4.0

